| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__TrunkEntry Struct Reference
Trunk Associations supporting in PSAP mode

TrunkEntry data entry that holds the actual Trunk Association data. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | trunkNo
| The incoming call number (associated with an ALI DB server) or URI (associated with a Held server) required: true default value[range]: NA [1..255]. More...
xsd__string | PrimaryAliDBName
| Primary ALI DB name. More...
xsd__string | SecondaryAliDBName
| Secondary ALI DB name. More...
enum unsp__LocationServiceType * | LocationServiceType
| Type of Location Service. More...
xsd__string | PrimaryHeldName
| Primary Held server name. More...
xsd__string | SecondaryHeldName
| Secondary Held server name. More...
xsd__string | DefaultDestination
| Default Destination. More...
xsd__string | RecoveryDevice
| Recovery Device. More...

## Detailed Description

TrunkEntry data entry that holds the actual Trunk Association data.

Used by unsp__GetTrunk()

## Member Data Documentation

## ◆ DefaultDestination

xsd__string unsp__TrunkEntry::DefaultDestination

Default Destination.

required: false
default value[range]: NA [1..255]

## ◆ LocationServiceType

enum unsp__LocationServiceType* unsp__TrunkEntry::LocationServiceType

Type of Location Service.

Based on this selection Ali DB servers or Held servers are set.
required: false

## ◆ PrimaryAliDBName

xsd__string unsp__TrunkEntry::PrimaryAliDBName

Primary ALI DB name.

required: false (It is a mandatory field whenever LocationServiceType has been set to LstAliDB)
default value[range]: NA [1..15]

## ◆ PrimaryHeldName

xsd__string unsp__TrunkEntry::PrimaryHeldName

Primary Held server name.

required: false (It is a mandatory field whenever LocationService has been set to LstHeld)
default value[range]: NA [1..15]

## ◆ RecoveryDevice

xsd__string unsp__TrunkEntry::RecoveryDevice

Recovery Device.

required: false
default value[range]: NA [1..255]

## ◆ SecondaryAliDBName

xsd__string unsp__TrunkEntry::SecondaryAliDBName

Secondary ALI DB name.

required: false
default value[range]: NA [1..15]

## ◆ SecondaryHeldName

xsd__string unsp__TrunkEntry::SecondaryHeldName

Secondary Held server name.

required: false
default value[range]: NA [1..15]

## ◆ trunkNo

xsd__string unsp__TrunkEntry::trunkNo

The incoming call number (associated with an ALI DB server) or URI (associated with a Held server)
required: true
default value[range]: NA [1..255].

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h